Bug 587374 - [abrt] crash in gedit-1:2.28.3-1.fc12: tabs_extend.py:113:deactivate:AttributeError: 'long' object has no attribute 'disconnect'
[abrt] crash in gedit-1:2.28.3-1.fc12: tabs_extend.py:113:deactivate:Attribut...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:c2b5a4d2
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-29 14:22 EDT by pajafumo
Modified: 2010-12-03 10:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 10:17:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (625 bytes, text/plain)
2010-04-29 14:22 EDT, pajafumo
no flags Details

  None (edit)
Description pajafumo 2010-04-29 14:22:07 EDT
abrt 1.0.9 detected a crash.

architecture: i686
cmdline: gedit '/home/tgp/Documentos/muestra BD.csv'
comment: Just close gedit
component: gedit
executable: /usr/lib/gedit-2/plugins
kernel: 2.6.32.11-99.fc12.i686
package: gedit-1:2.28.3-1.fc12
reason: tabs_extend.py:113:deactivate:AttributeError: 'long' object has no attribute 'disconnect'
release: Fedora release 12 (Constantine)

backtrace
-----
tabs_extend.py:113:deactivate:AttributeError: 'long' object has no attribute 'disconnect'

Traceback (most recent call last):
  File "/home/tgp/.gnome2/gedit/plugins/tabs_extend.py", line 222, in deactivate
    self._instances[window].deactivate()
  File "/home/tgp/.gnome2/gedit/plugins/tabs_extend.py", line 113, in deactivate
    widget.disconnect(handler_id)
AttributeError: 'long' object has no attribute 'disconnect'

Local variables in innermost frame:
widget: 1704L
self: <tabs_extend.TabsExtendWindowHelper instance at 0xa59cb8c>
handler_id: <__main__.GeditNotebook object at 0xa62ceb4 (GeditNotebook at 0x9fc1000)>

How to reproduce
-----
1.Solo cerrar gedit en fedora 12
2.
3.
Comment 1 pajafumo 2010-04-29 14:22:09 EDT
Created attachment 410187 [details]
File: backtrace
Comment 2 pajafumo 2010-10-16 13:43:11 EDT
Package: gedit-1:2.30.2-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Just edit a file on a share folder
2.close gedit after edit
3.crash
Comment 3 Bug Zapper 2010-11-03 12:02:07 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-12-03 10:17:46 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.